import React, { Component } from 'react';
import { View, Text,Button, Platform ,StyleSheet,TouchableHighlight,Dimensions, TouchableOpacity} from 'react-native';

const height = Dimensions.get('window').height;
const width = Dimensions.get('window').width;

export default class Buttons extends Component {
  
  constructor(props) {
    super(props);
    this.state = {
      sayAudioFn: this.props.sayAudioFn,
      sayTextFn: this.props.sayTextFn,
      loadSceneByIDFn2D: this.props.loadSceneByIDFn2D,
      loadSceneByIDFn3D: this.props.loadSceneByIDFn3D,
      loadSceneByIDFnFull: this.props.loadSceneByIDFnFull
    }
  }


render(){
    return (
     <View style={{flexDirection:"column"}}>
     
        <TouchableOpacity onPress={this.state.loadSceneByIDFn2D} style={{justifyContent:"center",alignItems:"center",height:height*0.05,width:width*0.75,borderRadius:10,backgroundColor : "blue",alignSelf:"center"}}>
          <Text style={{color:"#fff",fontSize:16,fontWeight:"500"}}>2D ILLUSTRATED</Text>
        </TouchableOpacity>

        <TouchableOpacity onPress={this.state.loadSceneByIDFn3D} style={{justifyContent:"center",alignItems:"center",height:height*0.05,width:width*0.75,borderRadius:10,backgroundColor : "blue",alignSelf:"center",marginTop:10}}>
          <Text style={{color:"#fff",fontSize:16,fontWeight:"500"}}>3D PHOTOFACE</Text>
        </TouchableOpacity>

        <TouchableOpacity onPress={this.state.loadSceneByIDFnFull} style={{justifyContent:"center",alignItems:"center",height:height*0.05,width:width*0.75,borderRadius:10,backgroundColor : "blue",alignSelf:"center",marginTop:10}}>
          <Text style={{color:"#fff",fontSize:16,fontWeight:"500"}}>FULL BODY</Text>
        </TouchableOpacity>

         {/* <TouchableHighlight 
      style ={{
          height: 40,
          width:width*0.75,
          borderRadius:10,
          backgroundColor : "blue",
          marginLeft :50,
          marginRight:50,
          marginTop: 10,
      }}>
        <Button
          onPress={this.state.loadSceneByIDFn2D}
          title="2D ILLUSTRATED"
          color={Platform.OS === 'ios' ? 'white' : 'blue'}
          backGround='green'
          style={styles.buttonStyle}
        />
        </TouchableHighlight>


        <TouchableHighlight 
      style ={{
          height: 40,
          width:width*0.75,
          borderRadius:10,
          backgroundColor : "blue",
          marginLeft :50,
          marginRight:50,
          marginTop: 10,
      }}>
        <Button
          onPress={this.state.loadSceneByIDFn3D}
          title="3D PHOTOFACE"
          color={Platform.OS === 'ios' ? 'white' : 'blue'}
          backGround='green'
          style={styles.buttonStyle}
        />
        </TouchableHighlight>

          <TouchableHighlight 
      style ={{
          height: 40,
          width:width*0.75,
          borderRadius:10,
          backgroundColor : "blue",
          marginLeft :50,
          marginRight:50,
          marginTop: 10,
      }}>
        <Button
          onPress={this.state.loadSceneByIDFnFull}
          title="FULL BODY"
          color={Platform.OS === 'ios' ? 'white' : 'blue'}
          backGround='green'
          style={styles.buttonStyle}
        />
        </TouchableHighlight> */}

         {/* <TouchableHighlight 
      style ={{
          height: height*0.05,
          width:width*0.36,
          borderRadius:10,
          backgroundColor : "blue",
         
          marginTop:10,

      }}>
        <Button
          onPress={this.state.sayAudioFn}
          title="sayAudio()"
          color={Platform.OS === 'ios' ? 'white' : 'blue'}
          backGround='green'
          style={styles.buttonStyle}
        />
        </TouchableHighlight> */}
        
        <View style={{flexDirection:"row",alignSelf:"center"}}>
        <TouchableOpacity onPress={this.state.sayAudioFn} style={{justifyContent:"center",alignItems:"center",height:height*0.05,width:width*0.36,borderRadius:10,backgroundColor : "blue",alignSelf:"center",marginTop:10}}>
          <Text style={{color:"#fff",fontSize:16,fontWeight:"500"}}>sayAudio()</Text>
        </TouchableOpacity>

        <TouchableOpacity onPress={this.state.sayTextFn} style={{justifyContent:"center",marginLeft:width*0.03,alignItems:"center",height:height*0.05,width:width*0.36,borderRadius:10,backgroundColor : "blue",alignSelf:"center",marginTop:10}}>
          <Text style={{color:"#fff",fontSize:16,fontWeight:"500"}}>sayText()</Text>
        </TouchableOpacity>
        </View>

        {/* <TouchableHighlight 
          style ={{
          height: height*0.05,
          width:width*0.36,
          borderRadius:10,
          backgroundColor : "blue",
          
          marginTop:10,

      }}>
        <Button
          onPress={this.state.sayTextFn}
          title="sayText()"
          color={Platform.OS === 'ios' ? 'white' : 'blue'}
          backGround='green'
          style={styles.buttonStyle}
        />
        </TouchableHighlight> */}
              </View>
    );

  }
}
const styles = StyleSheet.create({
  
 input: {
    margin: 12,
    borderWidth: 1,
    width:400,
    margin:'auto'
  },
});








// import React, { Component } from 'react';
// import { View, Text,Button, Platform ,StyleSheet,TouchableHighlight} from 'react-native';

// export default class Buttons extends Component {
  
//   constructor(props) {
//     super(props);
//     this.state = {
//       sayAudioFn: this.props.sayAudioFn,
//       sayTextFn: this.props.sayTextFn,
//       loadSceneByIDFn2D: this.props.loadSceneByIDFn2D,
//       loadSceneByIDFn3D: this.props.loadSceneByIDFn3D,
//       loadSceneByIDFnFull: this.props.loadSceneByIDFnFull
//     }
//   }


// render(){
//     return (
//      <View style={{flexDirection:"column"}}>
     
     
//          <TouchableHighlight 
//       style ={{
//           height: 40,
//           width:270,
//           borderRadius:10,
//           backgroundColor : "blue",
//           marginLeft :50,
//           marginRight:50,
//           marginTop: 10,
//       }}>
//         <Button
//           onPress={this.state.loadSceneByIDFn2D}
//           title="2D ILLUSTRATED"
//           color={Platform.OS === 'ios' ? 'white' : 'blue'}
//           backGround='green'
//           style={styles.buttonStyle}
//         />
//         </TouchableHighlight>


//         <TouchableHighlight 
//       style ={{
//           height: 40,
//           width:270,
//           borderRadius:10,
//           backgroundColor : "blue",
//           marginLeft :50,
//           marginRight:50,
//           marginTop: 10,
//       }}>
//         <Button
//           onPress={this.state.loadSceneByIDFn3D}
//           title="3D PHOTOFACE"
//           color={Platform.OS === 'ios' ? 'white' : 'blue'}
//           backGround='green'
//           style={styles.buttonStyle}
//         />
//         </TouchableHighlight>

//           <TouchableHighlight 
//       style ={{
//           height: 40,
//           width:270,
//           borderRadius:10,
//           backgroundColor : "blue",
//           marginLeft :50,
//           marginRight:50,
//           marginTop: 10,
//       }}>
//         <Button
//           onPress={this.state.loadSceneByIDFnFull}
//           title="FULL BODY"
//           color={Platform.OS === 'ios' ? 'white' : 'blue'}
//           backGround='green'
//           style={styles.buttonStyle}
//         />
//         </TouchableHighlight>

//          <TouchableHighlight 
//       style ={{
//           height: 40,
//           width:270,
//           borderRadius:10,
//           backgroundColor : "blue",
//           marginLeft :50,
//           marginRight:50,
//           marginTop:10,

//       }}>
//         <Button
//           onPress={this.state.sayAudioFn}
//           title="sayAudio()"
//           color={Platform.OS === 'ios' ? 'white' : 'blue'}
//           backGround='green'
//           style={styles.buttonStyle}
//         />
//         </TouchableHighlight>


//         <TouchableHighlight 
//           style ={{
//           height: 40,
//           width:270,
//           borderRadius:10,
//           backgroundColor : "blue",
//           marginLeft :50,
//           marginRight:50,
//           marginTop:10,

//       }}>
//         <Button
//           onPress={this.state.sayTextFn}
//           title="sayText()"
//           color={Platform.OS === 'ios' ? 'white' : 'blue'}
//           backGround='green'
//           style={styles.buttonStyle}
//         />
//         </TouchableHighlight>
//               </View>
//     );

//   }
// }
// const styles = StyleSheet.create({
  
//  input: {
//     margin: 12,
//     borderWidth: 1,
//     width:400,
//     margin:'auto'
//   },
// });